
Figure - Bug #119084
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】125版本monkey异常停止
2023-07-24 10:35 - CD TEST-方永红

Status: CLOSED Start date: 2023-07-24

Priority: High Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0125

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause:

Description

【执行命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes

--pct-syskeys 0 -v -v -v 32000000 2>/sdcard/error.txt 1>/sdcard/info.txt

【测试结果】

Device 2/3/4  monkey测试均异常停止，设备熄屏

History

#1 - 2023-07-24 10:43 - CD TEST-方永红

/Pre_figure/Test_Log/125_724_017

#2 - 2023-07-26 15:41 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

■ 我的分析

device 2

出现空指针异常导致system_server挂了

-----------------

07-23 01:51:55.475  1550  1697 E AndroidRuntime: *** FATAL EXCEPTION IN SYSTEM PROCESS: android.display

07-23 01:51:55.475  1550  1697 E AndroidRuntime: java.lang.NullPointerException: Attempt to read from field 'int android.content.pm.ActivityInfo.screenOrientation' on

a null object reference

07-23 01:51:55.475  1550  1697 E AndroidRuntime:     at

com.android.server.camera.CameraServiceProxy$TaskStateHandler.onTaskMovedToFront(CameraServiceProxy.java:273)

07-23 01:51:55.475  1550  1697 E AndroidRuntime:     at

com.android.server.wm.TaskChangeNotificationController.lambda$new$3(TaskChangeNotificationController.java:95)

07-23 01:51:55.475  1550  1697 E AndroidRuntime:     at com.android.server.wm.TaskChangeNotificationController$$ExternalSyntheticLambda18.accept(Unknown

Source:0)

07-23 01:51:55.475  1550  1697 E AndroidRuntime:     at

com.android.server.wm.TaskChangeNotificationController.forAllLocalListeners(TaskChangeNotificationController.java:337)

07-23 01:51:55.475  1550  1697 E AndroidRuntime:     at
com.android.server.wm.TaskChangeNotificationController.notifyTaskMovedToFront(TaskChangeNotificationController.java:440)

07-23 01:51:55.475  1550  1697 E AndroidRuntime:     at com.android.server.wm.TaskDisplayArea.onLeafTaskMoved(TaskDisplayArea.java:529)

07-23 01:51:55.475  1550  1697 E AndroidRuntime:     at com.android.server.wm.Task.updateTaskMovement(Task.java:1552)

07-23 01:51:55.475  1550  1697 E AndroidRuntime:     at com.android.server.wm.TaskDisplayArea.positionChildTaskAt(TaskDisplayArea.java:479)

07-23 01:51:55.475  1550  1697 E AndroidRuntime:     at com.android.server.wm.TaskDisplayArea.positionChildAt(TaskDisplayArea.java:440)

07-23 01:51:55.475  1550  1697 E AndroidRuntime:     at com.android.server.wm.Task.moveToFront(Task.java:5611)

07-23 01:51:55.475  1550  1697 E AndroidRuntime:     at com.android.server.wm.ActivityRecord.moveFocusableActivityToTop(ActivityRecord.java:2901)

07-23 01:51:55.475  1550  1697 E AndroidRuntime:     at com.android.server.wm.ActivityTaskManagerService.setFocusedTask(ActivityTaskManagerService.java:1922)

07-23 01:51:55.475  1550  1697 E AndroidRuntime:     at com.android.server.wm.WindowManagerService.handleTaskFocusChange(WindowManagerService.java:8228)

07-23 01:51:55.475  1550  1697 E AndroidRuntime:     at

com.android.server.wm.WindowManagerService.onPointerDownOutsideFocusLocked(WindowManagerService.java:8205)

07-23 01:51:55.475  1550  1697 E AndroidRuntime:     at com.android.server.wm.WindowManagerService.access$1500(WindowManagerService.java:331)

07-23 01:51:55.475  1550  1697 E AndroidRuntime:     at com.android.server.wm.WindowManagerService$H.handleMessage(WindowManagerService.java:5328)

07-23 01:51:55.475  1550  1697 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:106)

07-23 01:51:55.475  1550  1697 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

07-23 01:51:55.475  1550  1697 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

07-23 01:51:55.475  1550  1697 E AndroidRuntime:     at android.os.HandlerThread.run(HandlerThread.java:67)

07-23 01:51:55.475  1550  1697 E AndroidRuntime:     at com.android.server.ServiceThread.run(ServiceThread.java:44)

07-23 01:51:55.475  1550  1697 I am_crash: [1550,0,system_server,-1,java.lang.NullPointerException,Attempt to read from field 'int

android.content.pm.ActivityInfo.screenOrientation' on a null object reference,CameraServiceProxy.java,273]

07-23 01:51:56.717  1550  1697 I Process : Sending signal. PID: 1550 SIG: 9

07-23 01:51:57.004   684   684 I Zygote  : Process 1550 exited due to signal 9 (Killed)

07-23 01:51:57.004   684   684 E Zygote  : Exit zygote because system server (pid 1550) has terminated

07-23 01:51:57.152 15480 15480 W Monkey  : * Error: A RuntimeException occurred:

07-23 01:51:57.152 15480 15480 W Monkey  : java.lang.RuntimeException: android.os.DeadSystemException

07-23 01:51:57.152 15480 15480 W Monkey  :     at android.hardware.input.InputManager.injectInputEvent(InputManager.java:1093)

07-23 01:51:57.152 15480 15480 W Monkey  :     at com.android.commands.monkey.MonkeyKeyEvent.injectEvent(MonkeyKeyEvent.java:133)

07-23 01:51:57.152 15480 15480 W Monkey  :     at com.android.commands.monkey.Monkey.runMonkeyCycles(Monkey.java:1219)

07-23 01:51:57.152 15480 15480 W Monkey  :     at com.android.commands.monkey.Monkey.run(Monkey.java:710)

07-23 01:51:57.152 15480 15480 W Monkey  :     at com.android.commands.monkey.Monkey.main(Monkey.java:570)

07-23 01:51:57.152 15480 15480 W Monkey  :     at com.android.internal.os.RuntimeInit.nativeFinishInit(Native Method)

07-23 01:51:57.152 15480 15480 W Monkey  :     at com.android.internal.os.RuntimeInit.main(RuntimeInit.java:355)

07-23 01:51:57.152 15480 15480 W Monkey  : Caused by: android.os.DeadSystemException

07-23 01:51:57.152 15480 15480 W Monkey  :     ... 7 more

07-23 01:51:57.153 15480 15480 I Monkey  : Events injected: 212382

07-23 01:51:57.153 15480 15480 I Monkey  : :Sending rotation degree=0, persist=false

07-23 01:51:57.154 15480 15480 W Monkey  : * Failed talking with activity manager!

07-23 01:51:57.154 15480 15480 I Monkey  : // Generated profiling reports in /data/misc

07-23 01:51:57.154 15480 15480 I Monkey  : :Dropped: keys=73 pointers=29 trackballs=0 flips=0 rotations=0

07-23 01:51:57.154 15480 15480 I Monkey  : ## Network stats: elapsed time=38761335ms (0ms mobile, 0ms wifi, 38761335ms not connected)

07-23 01:51:57.155 15480 15480 W Monkey  : ** System appears to have crashed at event 212382 of 12000000 using seed 1234567

-----------------

device 3

出现数组越界异常导致system_server挂了

-----------------

07-21 23:40:48.379  1213  1574 E AndroidRuntime: *** FATAL EXCEPTION IN SYSTEM PROCESS: android.display

07-21 23:40:48.379  1213  1574 E AndroidRuntime: java.lang.IndexOutOfBoundsException: Index: 1, Size: 1

07-21 23:40:48.379  1213  1574 E AndroidRuntime:     at java.util.ArrayList.get(ArrayList.java:437)

07-21 23:40:48.379  1213  1574 E AndroidRuntime:     at com.android.server.wm.WindowContainer.getActivity(WindowContainer.java:1544)

07-21 23:40:48.379  1213  1574 E AndroidRuntime:     at com.android.server.wm.WindowContainer.getActivity(WindowContainer.java:1537)

07-21 23:40:48.379  1213  1574 E AndroidRuntime:     at com.android.server.wm.WindowContainer.getActivity(WindowContainer.java:1533)
07-21 23:40:48.379  1213  1574 E AndroidRuntime:     at com.android.server.wm.WindowContainer.getTopActivity(WindowContainer.java:1653)

07-21 23:40:48.379  1213  1574 E AndroidRuntime:     at com.android.server.wm.Task.getTopNonFinishingActivity(Task.java:1639)

07-21 23:40:48.379  1213  1574 E AndroidRuntime:     at com.android.server.wm.Task.getTopNonFinishingActivity(Task.java:1635)

07-21 23:40:48.379  1213  1574 E AndroidRuntime:     at com.android.server.wm.FreeFormWindowHelper$3.run(FreeFormWindowHelper.java:409)

07-21 23:40:48.379  1213  1574 E AndroidRuntime:     at android.os.Handler.handleCallback(Handler.java:938)

07-21 23:40:48.379  1213  1574 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:99)

07-21 23:40:48.379  1213  1574 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

07-21 23:40:48.379  1213  1574 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

07-21 23:40:48.379  1213  1574 E AndroidRuntime:     at android.os.HandlerThread.run(HandlerThread.java:67)

07-21 23:40:48.379  1213  1574 E AndroidRuntime:     at com.android.server.ServiceThread.run(ServiceThread.java:44)

07-21 23:40:48.381  1213  1574 I am_crash: [1213,0,system_server,-1,java.lang.IndexOutOfBoundsException,Index: 1, Size: 1,ArrayList.java,437]

07-21 23:40:48.398  1213  1574 I Process : Sending signal. PID: 1213 SIG: 9

07-21 23:40:48.726   678   678 I Zygote  : Process 1213 exited due to signal 9 (Killed)

07-21 23:40:48.726   678   678 E Zygote  : Exit zygote because system server (pid 1213) has terminated

07-21 23:40:48.796  8137  8137 W Monkey  : * Error: A RuntimeException occurred:

07-21 23:40:48.797  8137  8137 W Monkey  : java.lang.RuntimeException: android.os.DeadSystemException

07-21 23:40:48.797  8137  8137 W Monkey  :     at android.app.ActivityManager.getCurrentUser(ActivityManager.java:4043)

07-21 23:40:48.797  8137  8137 W Monkey  :     at com.android.commands.monkey.MonkeyActivityEvent.injectEvent(MonkeyActivityEvent.java:74)

07-21 23:40:48.797  8137  8137 W Monkey  :     at com.android.commands.monkey.Monkey.runMonkeyCycles(Monkey.java:1219)

07-21 23:40:48.797  8137  8137 W Monkey  :     at com.android.commands.monkey.Monkey.run(Monkey.java:710)

07-21 23:40:48.797  8137  8137 W Monkey  :     at com.android.commands.monkey.Monkey.main(Monkey.java:570)

07-21 23:40:48.797  8137  8137 W Monkey  :     at com.android.internal.os.RuntimeInit.nativeFinishInit(Native Method)

07-21 23:40:48.797  8137  8137 W Monkey  :     at com.android.internal.os.RuntimeInit.main(RuntimeInit.java:355)

07-21 23:40:48.797  8137  8137 W Monkey  : Caused by: android.os.DeadSystemException

07-21 23:40:48.797  8137  8137 W Monkey  :     ... 7 more

07-21 23:40:48.797  8137  8137 I Monkey  : Events injected: 120443

07-21 23:40:48.798  8137  8137 I Monkey  : :Sending rotation degree=0, persist=false

07-21 23:40:48.800  8137  8137 W Monkey  : * Failed talking with activity manager!

07-21 23:40:48.800  8137  8137 I Monkey  : // Generated profiling reports in /data/misc

07-21 23:40:48.801  8137  8137 I Monkey  : :Dropped: keys=8 pointers=19 trackballs=0 flips=0 rotations=0

07-21 23:40:48.801  8137  8137 I Monkey  : ## Network stats: elapsed time=20399193ms (0ms mobile, 0ms wifi, 20399193ms not connected)

07-21 23:40:48.801  8137  8137 W Monkey  : ** System appears to have crashed at event 120443 of 32000000 using seed 1234567

-----------------

device 4

传的日志包时间为，07-21 18点 到 07-24 10点

测试同学反馈问题发生时间是，07-21 16点，缺少日志无法分析

■ 下一步计划

修复device 2 和 device 3的崩溃异常

#3 - 2023-07-26 16:58 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

217785 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com
FW:SystemOptimization: Fixing the issue of Monkey abruptly stopping.1.Disable Camera Service2.Add  reference checkTC-RID: 1201-0205101IssueID:

TS-R-BUG-119084Change-Id: Icf998d40c1a6f01d0d214c09414365d9755ee6b4

#4 - 2023-07-27 23:44 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

218241 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

FW:SystemOptimization: Fixing the issue of Monkey abruptly stopping.1.Disable Camera Service2.Add  reference checkTC-RID: 1201-0205101IssueID:

TS-R-BUG-119084Change-Id: Icf998d40c1a6f01d0d214c09414365d9755ee6b4(cherry picked from commit 3c568294e14f6ece4ad02b7a3cf5d238c8c6913a)

#5 - 2023-07-28 16:55 - CD TEST-方永红

7.28

准备使用0127版本monkey测试验证

#6 - 2023-07-28 16:57 - CD TEST-方永红

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

相关修改已合入0127版本

#7 - 2023-08-31 16:12 - CDTS_TEST 王成

- Assignee changed from CD TEST-方永红 to 物联网测试组_TSCD 王维

#8 - 2023-10-08 09:58 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

0142之后已连续跟踪3个版本未复现，关闭

#9 - 2023-10-08 09:58 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED
